  MEMBER
  MAP
    INCLUDE('DbgViewNotReadyUTIL.INC'),ONCE
    MODULE('Windows')
         OpenEvent(LONG InDesiredAccess, BOOL InInheritHandle,*CSTRING InName),LONG,RAW,PASCAL,NAME('OpenEventA'),DLL(1)
         GetLastError(),LONG,PASCAL,DLL(1)  
         CloseHandle(LONG Hnd),BOOL,PROC,PASCAL,DLL(1)
    END
  END
!------------------------------------------------------------------------------------------------------------
OutputDebugStringNotReady  PROCEDURE()!,LONG 
!Ported from VB6 Code written by *Carl Barnes*
!PSS: OutputDebugString is expensive requiring a switch to kernel mode to access event, mutex and MMF. See
!     http://www.unixwiz.net/techtips/outputdebugstring.html

hObject            LONG,AUTO
SYNCHRONIZE        LONG(100000h) ! 10 0000
szEventName        CSTRING('DBWIN_BUFFER_READY') !case sensitive
RetError           LONG,AUTO
   CODE 	                                                        
   hObject = OpenEvent(SYNCHRONIZE, FALSE, szEventName)    
   IF hObject <> 0
      CloseHandle(hObject)
      RetError = 0                !We are ready
   ELSE
      RetError = GetLastError()    ! probably 2 = File Not Found,
                                        !  i.e. the Event name does not exist because there is no debugger
      IF RetError = 0 
         RetError = -1            ! no handle and no error, then say -1
      END          
   END
   RETURN RetError
